## libapache-mod-choke 0.06-2

=== Makefile ===
#   the used tools
APXS=apxs
APACHECTL=apachectl

#   the default target
all: mod_choke.so

#   compile the DSO file
mod_choke.so: mod_choke.c
	$(APXS) -c $(DEF) $(INC) $(LIB) mod_choke.c

#   install the DSO file into the Apache installation
#   and activate it in the Apache configuration
install: all
	$(APXS) -i -a mod_choke.so

#   cleanup
clean:
	-rm -f mod_choke.o mod_choke.so

#   reload the module by installing and restarting Apache
reload: install restart

#   the general Apache start/restart/stop procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) restart
stop:
	$(APACHECTL) stop

=== debian/changelog ===
libapache-mod-choke (0.06-2) unstable; urgency=low

  * Depend on apache-common for apache-modconf util. (Closes: #301851) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri,  1 Apr 2005 22:19:14 +0200

libapache-mod-choke (0.06-1) unstable; urgency=high

  * Initial release. (Closes: #295305) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 15 Feb 2005 23:13:26 +0100

=== debian/control ===
Source: libapache-mod-choke
Section: web
Priority: optional
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: apache-dev (>= 1.3.33-4), debhelper

Package: libapache-mod-choke
Architecture: any
Depends: ${shlibs:Depends}, apache-common (>= 1.3.0)
Description: concurrent connections per IP and data transfer rate limiter for Apache
 Module for Apache that limits usage by greedy clients. It's two main
 functions are to limit the number of concurrent connections per IP, and
 to limit the rate at which apache sends data to the client, with
 burst support for the first chunks of a file.
 .
 It includes detection of users behind proxy servers (using the
 X-Referred-By header).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

PACKAGE=libapache-mod-choke
TMP=$(CURDIR)/debian/$(PACKAGE)

build: build-stamp
build-stamp:
	
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir --parents $(TMP)/usr/lib/apache/1.3
	cp mod_choke.so $(TMP)/usr/lib/apache/1.3/
	cp debian/400mod_choke.info $(TMP)/usr/lib/apache/1.3/
	chmod 644 $(TMP)/usr/lib/apache/1.3/*

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libapache-mod-choke 0.06-2.1

=== debian/changelog ===
libapache-mod-choke (0.06-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * In the postinst, check that /usr/sbin/apache{,-ssl,-perl} exists before we
    try to run apache-modconf for that variant; makes the package installable
    again. (Closes: #340801)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 13 Nov 2006 17:51:44 +0100
